## WebKitDOMNodeList WebKitDOMNodeList |

## Functions

WebKitDOMNode * | webkit_dom_node_list_item ()
gulong | webkit_dom_node_list_get_length ()

## Properties

gulong | length | Read

## Types and Values

struct | WebKitDOMNodeList

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNodeList

## Description

## Functions

### webkit_dom_node_list_item ()

    WebKitDOMNode *
    webkit_dom_node_list_item (WebKitDOMNodeList *self,
                               gulong index);

`webkit_dom_node_list_item` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNodeList |
index | A gulong |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_node_list_get_length ()

    gulong
    webkit_dom_node_list_get_length (WebKitDOMNodeList *self);

`webkit_dom_node_list_get_length` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMNodeList |

#### Returns

A gulong

## Types and Values

### struct WebKitDOMNodeList

    struct WebKitDOMNodeList;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong NodeList:length.

Flags: Read